| LPCOpen Platform v1.03 LPCOpen Platform for NXP LPC Microcontrollers

- Main Page
- Modules
- Data Structures
- Files
- Related Pages

- Data Structures
- Data Structure Index
- Data Fields

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Data Fields
LPC_IOCON_T Struct Reference
CHIP: LPC11xx IO Control driver | CHIP: LPC13xx IO Control driver | CHIP: LPC17xx/40xx I/O configuration driver | CHIP: LPC8xx IOCON register block and driver

## Detailed Description

IOCON register block.

IOCON register block structure.

Definition at line 119 of file iocon_11xx.h.

`#include "iocon_11xx.h"`

## Data Fields
__IO uint32_t | REG [48]
__IO uint32_t | p [5][32]
__IO uint32_t | PIO0_17
__IO uint32_t | PIO0_13
__IO uint32_t | PIO0_12
__IO uint32_t | PIO0_5
__IO uint32_t | PIO0_4
__IO uint32_t | PIO0_3
__IO uint32_t | PIO0_2
__IO uint32_t | PIO0_11
__IO uint32_t | PIO0_10
__IO uint32_t | PIO0_16
__IO uint32_t | PIO0_15
__IO uint32_t | PIO0_1
__IO uint32_t | Reserved
__IO uint32_t | PIO0_9
__IO uint32_t | PIO0_8
__IO uint32_t | PIO0_7
__IO uint32_t | PIO0_6
__IO uint32_t | PIO0_0
__IO uint32_t | PIO0_14

## Field Documentation

__IO uint32_t p[5][32]

Definition at line 55 of file iocon_17xx_40xx.h.

__IO uint32_t PIO0_0

(@ 0x40044044) I/O configuration for pin PIO0_0

Definition at line 65 of file iocon_8xx.h.

__IO uint32_t PIO0_1

(@ 0x4004402C) I/O configuration for pin PIO0_1

Definition at line 59 of file iocon_8xx.h.

__IO uint32_t PIO0_10

(@ 0x40044020) I/O configuration for pin PIO0_10

Definition at line 56 of file iocon_8xx.h.

__IO uint32_t PIO0_11

(@ 0x4004401C) I/O configuration for pin PIO0_11

Definition at line 55 of file iocon_8xx.h.

__IO uint32_t PIO0_12

(@ 0x40044008) I/O configuration for pin PIO0_12

Definition at line 50 of file iocon_8xx.h.

__IO uint32_t PIO0_13

(@ 0x40044004) I/O configuration for pin PIO0_13

Definition at line 49 of file iocon_8xx.h.

__IO uint32_t PIO0_14

(@ 0x40044048) I/O configuration for pin PIO0_14

Definition at line 66 of file iocon_8xx.h.

__IO uint32_t PIO0_15

(@ 0x40044028) I/O configuration for pin PIO0_15

Definition at line 58 of file iocon_8xx.h.

__IO uint32_t PIO0_16

(@ 0x40044024) I/O configuration for pin PIO0_16

Definition at line 57 of file iocon_8xx.h.

__IO uint32_t PIO0_17

< (@ 0x40044000) IOCONFIG Structure (@ 0x40044000) I/O configuration for pin PIO0_17

Definition at line 48 of file iocon_8xx.h.

__IO uint32_t PIO0_2

(@ 0x40044018) I/O configuration for pin PIO0_2

Definition at line 54 of file iocon_8xx.h.

__IO uint32_t PIO0_3

(@ 0x40044014) I/O configuration for pin PIO0_3

Definition at line 53 of file iocon_8xx.h.

__IO uint32_t PIO0_4

(@ 0x40044010) I/O configuration for pin PIO0_4

Definition at line 52 of file iocon_8xx.h.

__IO uint32_t PIO0_5

(@ 0x4004400C) I/O configuration for pin PIO0_5

Definition at line 51 of file iocon_8xx.h.

__IO uint32_t PIO0_6

(@ 0x40044040) I/O configuration for pin PIO0_6

Definition at line 64 of file iocon_8xx.h.

__IO uint32_t PIO0_7

(@ 0x4004403C) I/O configuration for pin PIO0_7

Definition at line 63 of file iocon_8xx.h.

__IO uint32_t PIO0_8

(@ 0x40044038) I/O configuration for pin PIO0_8

Definition at line 62 of file iocon_8xx.h.

__IO uint32_t PIO0_9

(@ 0x40044034) I/O configuration for pin PIO0_9

Definition at line 61 of file iocon_8xx.h.

__IO uint32_t REG

< LPC11XX/LPC11XXLV/LPC11UXX IOCON Structure

< LPC1343 IOCON Structure

Definition at line 120 of file iocon_11xx.h.

__IO uint32_t Reserved

(@ 0x40044030) Reserved

Definition at line 60 of file iocon_8xx.h.

The documentation for this struct was generated from the following files:

- C:/nxp/v1.03/lpcopen_v1.03/lpcopen/software/lpc_core/lpc_chip/chip_11xx/iocon_11xx.h
- C:/nxp/v1.03/lpcopen_v1.03/lpcopen/software/lpc_core/lpc_chip/chip_13xx/iocon_13xx.h
- C:/nxp/v1.03/lpcopen_v1.03/lpcopen/software/lpc_core/lpc_chip/chip_17xx_40xx/iocon_17xx_40xx.h
- C:/nxp/v1.03/lpcopen_v1.03/lpcopen/software/lpc_core/lpc_chip/chip_8xx/iocon_8xx.h